#ifndef AUDIOMONITOR_H
#define AUDIOMONITOR_H


#include "audioconverter.h"

/* Opus and Eigen */
#ifdef Q_OS_WIN
#include "opus.h"
#include <Eigen/Eigen>
#else
#include "opus/opus.h"
#include <eigen3/Eigen/Eigen>
#endif

#define audioMonitorBufferSize (8)


struct sharedAudioType
{
    bool monitorFeatureOn = false;
    bool allocated = false;
    float monitorVolume = 1.0;
    int testNumber = 0; // TODO: Remove test variable
    int bufferWritePosition = 0;
    int bufferReadPosition = 0;
    bool monitorAudioAvailable = false;
    int sentPacketCount = 0;
    audioSetup hostSetup;
    QAudioFormat monitorFormat;
    audioPacket monitorAudioBuffer[audioMonitorBufferSize];
    unsigned char monitorAudioBufferChar[audioMonitorBufferSize][4000] = {'\0'};
    //Eigen::VectorXf audioData[audioMonitorBufferSize];// = {Q_NULLPTR};
    void *data = Q_NULLPTR;
};

#endif // AUDIOMONITOR_H
